top.window.NATIVE_TO_JS = {};
top.window.NATIVE_TO_JS.trigger = function(command, content) {
  switch (command) {
    case "init":
      _mailInit();
      break;
    case "translate":
      var obj = content || {};
      try {
        if (typeof obj === "string") obj = JSON.parse(content);
      } catch (e) {}
      // 邮件全文翻译初始化
      if (typeof Translate === "object") Translate.init(obj);
      Translate.toDo(obj.source, obj.target);
      break;
    case "translateReset":
      Translate.reset();
      break;
    case "translateStop":
      Translate.stop();
      break;
    case "translateReInit":
      Translate.reInit();
      break;
    case "copy":
      top.App.call("paCustomCopy", getSelectionHtml());
      break;
    case "paste":
      paCustomPaste(content);
      if (/(IPHONE|IPAD)/gi.test(navigator.userAgent)) {
        window.location = "textchange://";
      }
      break;
  }
};
window.onload = function() {
  // ios 自动初始化
  if (/(IPHONE|IPAD)/gi.test(navigator.userAgent)) {
    _mailInit();
  }
};
// 邮件初始化
function _mailInit() {
  // android 图片处理,添加点击事件，下载图片
  if (typeof imgReset === "function") imgReset();
  // 邮件折叠初始化
  if (typeof resetStyle === "function") resetStyle();
  //table处理
  if (typeof resetTableStyle === "function") resetTableStyle();

  //解决Peter Ma 发送的生日祝福显示异常问题（移除v:share标签 stype）
  if (typeof resetVShapeStyle === "function") resetVShapeStyle();

  //回调加载完成
  window.android.onSetHtmlFinished();
   //大附件-RTF格式下的『下载』添加隐藏属性，需要在自动识别正文连接前处理
   judgeBigAttachment();
  //自动识别正文连接
  initAutoLinkUrl(window.android.isAutoLinkUrl());
   //全文翻译初始化
   Translate.reInit();
}
//给rtf下的大附件下载链接添加title=PaicBigAttachmentDownload
function judgeBigAttachment(){
    var aTags = document.getElementsByTagName('a');
    for(item of aTags){
     hrefVal = item.getAttribute('href');
     if(hrefVal.indexOf('dl=')!=-1 && hrefVal.indexOf('source=pc_outlook_bigattachment')!=-1){
       item.setAttribute('title','PaicBigAttachmentDownload');
     }
    }
}