 function resetStyle1() {
 	    resetTableStyle();
 		var headerList = findMailHead();
 		createShadow(headerList);
 		setTimeout(function() {
 			var hides = document.querySelectorAll('.rm-hide');
 			for (var i = 0; i < hides.length; i++) {
 				hides[i].click()
 			}
 		},
 		1)
 	}

 function resetTableStyle(){
         var scaleTable = function(from) {
             function realSize(obj) {
                 var clone = obj.clone();
                 clone.css('visibility', 'hidden');
                 $('body').append(clone);
                 clone.wrap('<div style="padding:0 18px"></div>');
                 var width = clone.outerWidth();
                 var height = clone.outerHeight();
                 clone.parent().remove();
                 return {
                     width: width,
                     height: height
                 }
             }
             $('blockquote').each(function(i, o) {
                 $(o).css('margin-left', '0').css('margin-right', '0')
             });
             $('table').each(function(i, o) {
                 var table = $(o);
                 if (table.parents('table').length == 0) {
                     var tablecontainer = table.parent();
                     var cw = tablecontainer[0].clientWidth;
                     var c = 100;
                     while (cw == 0 && c-->0) {
                         tablecontainer = tablecontainer.parent();
                         cw = tablecontainer[0].clientWidth;
                     }
                     if (from == 'resize' && !tablecontainer.hasClass('addWrap')) {
                         return
                     } else if (from == 'resize') {
                         table.css('transform-origin', '0 0 0').css('transform', 'scale(1)')
                     }
                     var mxw = screen.width - 34;
                     cw = (cw > mxw || cw <= 0) ? mxw: cw;
                     var size = table[0].scrollWidth;
                     cw = cw - table[0].offsetLeft + 24;
                     var scalex = cw / size;
                     var scale = scalex;
                     if (scale < 1.0) {
                         table.css('transform-origin', '0 0 0').css('transform', 'scale(' + scale + ')');
                         function resizeTable() {
                             var tHei = table[0].clientHeight * scale;
                             if (table.parent().children().length == 1) {
                                 table.parent().css('height', tHei + 'px').addClass('addWrap')
                             } else {
                                 table.wrap('<div class="addWrap" style="height: ' + tHei + 'px"></div>')
                             }
                         }
                         if (table.find('img').length) {
                             resizeTable();
                             table.find('img').each(function(i, _img) {
                                 _img.onload = function() {
                                     resizeTable()
                                 }
                             })
                         } else {
                             resizeTable()
                         }
                     }
                 }
             })
         };
        scaleTable();
     }

 function imgReset () {
       var objs = document.getElementsByTagName('img');
       var maxwidth = document.body.clientWidth;
       for (var i = 0; i < objs.length; i++) {
           var img = objs[i];
           img.removeAttribute("width");
           img.removeAttribute("height");
           img.removeAttribute("style");
           img.style.maxWidth = '100%';
           img.style.height = 'auto';
           var src = img.src;
           if(src.indexOf('data:image')<0){// base64 图片直接显示，不需要下载，过滤掉
              var imgClassKey = "img_class_key_"+i;
              img.classList.add(imgClassKey);
              img.src = "file:///android_asset/local_detail/img/loading.webp";
              window.android.doLoadImage(imgClassKey,src);
           }
           img.onclick=function() {
             window.android.openImage(this.src);
           }
           img.onerror=function(){
              this.src = "file:///android_asset/local_detail/img/error.webp";
           }
       }
  }

 function onLoadImageSuccess(imgClassKey,src){
     var img = document.getElementsByClassName(imgClassKey)[0];
     if(img){
       img.src = src;
     }
  }

 function onLoadImageFial(imgClassKey){
    var img = document.getElementsByClassName(imgClassKey)[0];
    if(img){
      img.src = "file:///android_asset/local_detail/img/error.webp";
    }
 }

//解决生日祝福邮件显示异常问题
function resetVShapeStyle(){
    var objs = document.getElementsByTagName("v:shape");
    if(objs) {
      for (var i = 0; i < objs.length; i++) {
        var vshape = objs[i];
        vshape.removeAttribute("style");
        vshape.style.maxWidth = '100%';
        vshape.style.height = 'auto';
      }
    }
 }


function getSelectedText(itemTitle) {
    var txt = getSelectionHtml();
    console.log(txt);
    if(!txt||txt==""){
        if (window.getSelection) {
            txt = window.getSelection().toString();
        } else if (window.document.getSelection) {
            txt = window.document.getSelection().toString();
        } else if (window.document.selection) {
            txt = window.document.selection.createRange().text;
        }
    }
    if(itemTitle){
       window.JSInterface.callback(itemTitle,txt);
    }
}

//自动识别连接与会议号
function initAutoLinkUrl(isAutolinkUrl){
   //遍历body下面的text节点识别url连接
   try {
    setAutoLinkUrl(document.body,3,isAutolinkUrl);
    } catch(error){
    console.log(error);
    }
}


function setAutoLinkUrl(node,type,isAutolinkUrl) {
        // 获取当前元素所有的子节点nodes
        var nodes = node.childNodes;
        // 获取nodes的子节点
        for (var i = 0; i < nodes.length; i++) {
            var child = nodes[i];
            // 判断是否为TEXT节点，并且父节点不是a标签或父节点是a标签但是没有href属性
            if(child.nodeType == type){
                var text = child.nodeValue;
                if(text){
                var needLink = (node.nodeName!="A"|| !node.getAttribute("href"));//父节点是不是a标签或是a标签但href为空
                 var isMeetingOk = false;
                 if(isAutolinkUrl&&needLink){
                   // (((http|ftp|https|file)://)|((?<!((http|ftp|https|file)://))www\.))  以http ftp file 或www开头
                   //.*? 中间为任意内容，惰性匹配
                   //(?=(&nbsp;|\s|　|<br \/>|$|[<>])))   结束条件
                   var linkReg = new RegExp("((((http|ftp|https|file):\\/\\/)|((?<!((http|ftp|https|file)://))www\\.)).*?(?=(&nbsp;|\\s|　|,|，|<br \\/>|$|[<>])))",'ig');
                   var newLinkText = text.replace(linkReg, '<a href="$1">$1</a>');
                   if(text!=newLinkText){//匹配到了，替换当前节点为新生成a标签节点,使用<SPAN>包裹
                     var newLinkTextNode=document.createElement("SPAN");
                     newLinkTextNode.innerHTML=newLinkText;
                     isMeetingOk = true;
                     setAutoLinkUrl(newLinkTextNode,type,false);//先识别出连接后，在遍历匹配连接里面的会议号
                     node.replaceChild(newLinkTextNode,child);
                   }
                  }

                    //89开头8位会议号或68开头6位终端号或69开头6位三方号，不匹配其它数字开头包含的数字
//                   var meetingReg = new RegExp("((?<!\\d)89\\d{6}(?!\\d)|(?<!\\d)68\\d{4}(?!\\d)|(?<!\\d)69\\d{4}(?!\\d)|(?<!\\d)11\\d{5}(?!\\d))",'g');
//                   if(!isMeetingOk) {//本文本还未被执行是否识别为会议号
//                      var isTagAOnlyMeetingNO = false;
//                      var flag1 = text.length === 6 && (text.startsWith('68') || text.startsWith('69'));
//                      var flag2 = text.length === 8 && text.startsWith('89')
//                      var flag3 = text.length === 7 && text.startsWith('11')
//                      if((flag1 || flag2 || flag3)&&!needLink){//a标签里面的正文正好是完全匹配会议号则不识别为会议号，如<a href="https://www.baidu.com.cn">691234</a>
//                       isTagAOnlyMeetingNO = true;
//                      }
//                      if(!isTagAOnlyMeetingNO){
//                      var newMetingText = text.replace(meetingReg, '<a class="number-join" href="tel:$1">$1</a>');
//                      if(text!=newMetingText){//匹配到了，替换当前节点为新生成a标签节点,使用<SPAN>包裹
//                         var newMetingTextNode=document.createElement("SPAN");
//                         newMetingTextNode.innerHTML=newMetingText;
//                         node.replaceChild(newMetingTextNode,child);
//                      }
//                      }
//                   }
                }
            }
            setAutoLinkUrl(child,type,isAutolinkUrl);//继续遍历
        }
}

//解析语音文本到语音卡片上
function parseVoiceContext(voiceClassNameJson){
  console.log(voiceClassNameJson);
  if(voiceClassNameJson&&voiceClassNameJson!='null') {
    var jsonObj = JSON.parse(voiceClassNameJson);
    var jsonResult = {};
    for(var key in jsonObj){
     var voiceObj = document.getElementsByClassName(key)[0];
     if(!voiceObj) {////兼容PC端发的语音邮件  PC端语音邮件  语音文件会把_自从去掉
         var key2 = key.replace(/_/g, "");
          console.log(key2+" : "+jsonObj[key]);
          voiceObj = document.getElementsByClassName(key2)[0];
     }
     if(voiceObj) {
        jsonResult[jsonObj[key]] = voiceObj.innerText;
        voiceObj.innerText="";
     }
    }
    window.android.onParseVoiceContextResult(JSON.stringify(jsonResult));
  }
}


function setHtml(html,voiceClassNameJson){
   html = decodeURIComponent(html.replace(/\+/g, '%20'));
   document.getElementById('detail_html').innerHTML = html;
   parseVoiceContext(voiceClassNameJson);
   _mailInit();
}