// 粘贴
function paCustomPaste(content) {
  if (content) {
    content = content.replace(/\r\n/g, "<br/>");
    content = content.replace(/\r/g, "<br/>");
    content = content.replace(/\n/g, "<br/>");
  }
  var selection = window.getSelection
    ? window.getSelection()
    : document.selection;
  var range = selection.createRange
    ? selection.createRange()
    : selection.getRangeAt(0);
  if (!window.getSelection) {
    var selection = window.getSelection
      ? window.getSelection()
      : document.selection;
    var range = selection.createRange
      ? selection.createRange()
      : selection.getRangeAt(0);
    range.pasteHTML(content);
    range.collapse(false);
    range.select();
  } else {
    range.collapse(false);
    var hasR = range.createContextualFragment(content);
    var hasR_lastChild = hasR.lastChild;
    while (
      hasR_lastChild &&
      hasR_lastChild.nodeName.toLowerCase() == "br" &&
      hasR_lastChild.previousSibling &&
      hasR_lastChild.previousSibling.nodeName.toLowerCase() == "br"
    ) {
      var e = hasR_lastChild;
      hasR_lastChild = hasR_lastChild.previousSibling;
      hasR.removeChild(e);
    }
    range.insertNode(hasR);
    if (hasR_lastChild) {
      range.setEndAfter(hasR_lastChild);
      range.setStartAfter(hasR_lastChild);
    }
    selection.removeAllRanges();
    selection.addRange(range);
  }
}
// 复制
function getSelectionHtml() {
  var html = "";
  if (typeof window.getSelection != "undefined") {
    var sel = window.getSelection();
    if (sel.rangeCount) {
      var container = document.createElement("div");
      for (var i = 0, len = sel.rangeCount; i < len; ++i) {
        container.appendChild(sel.getRangeAt(i).cloneContents());
      }
      html = container.innerHTML;
    }
  } else if (typeof document.selection != "undefined") {
    if (document.selection.type == "Text") {
      html = document.selection.createRange().htmlText;
    }
  }
  var regMedia = /(<video(.|\n)*?<\/video>)|(<audio(.|\n)*?<\/audio>)|(<canvas(.|\n)*?<\/canvas>)/gim;
  var regImg = /<img(.|\n)*?\/?>/gim;
  html = html.replace(regMedia, "");
  html = html.replace(regImg, "");
  return html;
}
