var ua = navigator.userAgent.toUpperCase();
var callindex = 0;
var App = {
  IS_ANDROID: ua.includes("ANDROID"),
  IS_IOS: ua.includes("IPHONE OS"),
  IS_IPAD: ua.includes("IPAD"),
  IS_KLPA: ua.includes("PACHAT") || ua.includes("PAMO"),
  call() {
    callindex++;
    var arg = Array.prototype.slice.apply(arguments);
    var name = arg[0];
    var args = arg.slice(1);
    for (var i = 0; i < args.length; i++) {
      var element = args[i];
      var index = i;
      if (element === "undefined") {
        args[index] = "";
      } else if (this.valueType(element) === "Function") {
        var callBack = name + "callBack" + callindex;
        window[callBack] = element;
        args[index] = callBack;
      }
    }
    if (this.IS_ANDROID) {
      try {
        window.android[name].apply(window.android, args);
      } catch (e) {
        console.log(e);
      }
    } else if (this.IS_IOS || this.IS_IPAD) {
      if (args.length) {
        args = "|" + args.join("|");
      }
      var iframe = document.createElement("iframe");
      iframe.src = "#ios:" + name + args + "|" + callindex;
      iframe.style.display = "none";
      document.body.appendChild(iframe);
      setTimeout(function () {
         document.body.removeChild(iframe);
      }, 300);
    }
  },
  valueType(value) {
    return Object.prototype.toString.call(value).slice(8, -1);
  }
};
